# Документация

### Структура проекта
``` markdown
.
├── CMakeLists.txt *Общий файл настроек сборки*
└── src
    ├── app
    │   ├── backend *Модуль backend - авторизация, сохранение сессий*
    │   │   ├── backend.cpp
    │   │   └── backend.h
    │   ├── CMakeLists.txt *Настроеки сборки src/app (Для указания используемых модулей)*
    │   ├── launcher *Модуль запуска клиента*
    │   │   ├── forge1.12.2 **Подмодуль, выдающий String параметры запуска клиента forge1.12.2**
    │   │   │   ├── getArgs.cpp
    │   │   │   └── getArgs.h
    │   │   ├── launcher.cpp
    │   │   └── launcher.h
    │   ├── main.cpp
    │   ├── settings *Модуль настроек (RAM, java_path, и т.д.)*
    │   │   ├── settings.cpp
    │   │   └── settings.h
    │   └── ui *Модуль главного окна приложения*
    │       ├── mainwindow.cpp
    │       └── mainwindow.h
    └── resources **Папка с ресурсами приложения**
        ├── auth **Ресурсы для вкладки авторизации**
        │   └── ...
        └── main **Ресурсы для главной вкладки**
            ├── ...
            └── svg **svg исходники**
                └── ...
```

